Archive a Group

Prev Next
Post
/api/v1/groups.archive

Archive a private channel. You need the archive-room permission.

Changelog

Version Description
9.0.0 Returns 403 with errorType: error-forbidden instead of 400 when the request is refused.
0.48.0 Added
Header parameters
X-Auth-Token
stringRequired

The authToken of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired

The userId of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
Body parameters
object
roomId
string Required

The group ID that you want to archive. You can find the IDs by using any of the following endpoints:

  • Get List of User Groups: This endpoint returns all private channels in the workspace, if you have the required permissions to view them.
  • Get Groups: This endpoint returns the private channels that you are a member of.
ExampleByehQjC44FwMeiLbX
Responses
200

OK

Success
{
  "success": true
}
object
success
boolean
401

Unauthorized

Authorization Error
{
  "success": false,
  "error": "You must be logged in to do this."
}
object
success
boolean
error
string
403

Forbidden

No permission
{
  "success": false,
  "error": "Not authorized [error-not-authorized]",
  "errorType": "error-forbidden"
}
object
success
boolean
error
string
errorType
string